After upgrading Ubuntu from 16.04 to 18.04 (LTS) roundcube died!

Discussion in 'Installation/Configuration' started by Morons, Nov 30, 2019.

  1. Morons

    Morons Member

    I actually fixed ISPConfig due to problems with php 7.2 in this thread https://www.howtoforge.com/communit...o-18-04-lts-ispconfig-died.83245/#post-396014

    However both phpMyAdmin and roundcube also died!
    phpMyAdmin was easy to fix by downloading the latest zip from https://www.phpmyadmin.net/downloads/ and expanding it in the /usr/share/phpmyadmin directory
    BUT I did not succees in fixing roundcube the same way !
    Doing
    apt-get -y install roundcube roundcube-core roundcube-mysql roundcube-plugins javascript-common libjs-jquery-mousewheel php-net-sieve tinymce
    reports
    roundcube is already the newest version (1.3.6+dfsg.1-1).
    roundcube-core is already the newest version (1.3.6+dfsg.1-1).
    roundcube-mysql is already the newest version (1.3.6+dfsg.1-1).
    roundcube-plugins is already the newest version (1.3.6+dfsg.1-1).

    There is a newer version (1.4.1) but its not unzip but more complicated it seems.
    Any Help?
     
  2. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    That is risky. ISPConfig supports the version that comes with Ubuntu, other versions may not work.
    I would be surpised if that would work.
    Do not change the versions of softwares you have on ISPConfig host. unless you have verified previously that it does work. Or are prepared to do the work to get those working.
    If your problems started after upgrading Ubuntu 16.04 to 18.04. did you do i this order:
    1. follow Ubuntu upgrade instructions and the upgrade did not make errors?
    2. followed the ISPConfig Perfect Server Guide for Ubuntu 18.04, checking all packages are installed and configured according to that version of Guide?
    3. ran ISPConfig update or forced ISPConfig reconfigure services
     
  3. Morons

    Morons Member

    Yes I followed those guidelines perfectly, Its a bug in the Ubuntu roundcube installation version is OLD and the maintainer's comment said something like he didn't get around to fix it yet!
    roundcube (Ubuntu) version does not support PHP 7+ yet
     
  4. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    Ubuntu 18.04 comes with PHP 7.2, so I am sure the Roundcube in Ubuntu 18.04 support PHP 7.2.
    What bug?
     
  5. Morons

    Morons Member

    Sorry not a bug, just not working with PHP 7+ yet, they will need to get a later edition published
    As far as I can see
     
  6. ahrasis

    ahrasis Well-Known Member

  7. Casbot

    Casbot New Member

    Roundcube works perfectly on Ubuntu 18.04.x. I just installed a server with Ubuntu 18.04.x/ISPConfig in the past couple of days and moved all of my data from the Ubuntu 14.04/ISPConfig server over. The only issue I ran into was the plugins, as I had to update Pear to make the ISPConfig3_account plugin work. But other than that, Roundcube has worked fine on Ubuntu 18.04.
     

Share This Page